org.richfaces.fragment.inputNumberSlider

## Class RichFacesInputNumberSlider

- java.lang.Object
- - org.richfaces.fragment.inputNumberSlider.AbstractNumberInput
  - - org.richfaces.fragment.inputNumberSlider.RichFacesInputNumberSlider

- All Implemented Interfaces:
    AdvancedInteractions<RichFacesInputNumberSlider.AdvancedInputNumberSliderInteractions>, AdvancedVisibleComponentIteractions<RichFacesInputNumberSlider.AdvancedInputNumberSliderInteractions>, InputNumberSlider, NumberInput

      public class RichFacesInputNumberSlider
      extends AbstractNumberInput
      implements InputNumberSlider, AdvancedVisibleComponentIteractions<RichFacesInputNumberSlider.AdvancedInputNumberSliderInteractions>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesInputNumberSlider.AdvancedInputNumberSliderInteractions`

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.inputNumberSlider.AbstractNumberInput

      `AbstractNumberInput.AdvancedNumberInputInteractions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesInputNumberSlider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesInputNumberSlider.AdvancedInputNumberSliderInteractions` | `advanced()`
    `protected void` | `scrollToView()`
    `void` | `slideToValue(double n)` Slides the handler of this inputNumberSlider, so that the value will equals to the given param `n`.``

    - ### Methods inherited from class org.richfaces.fragment.inputNumberSlider.AbstractNumberInput

      `decrease, decrease, getValue, increase, increase, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.fragment.inputNumberSlider.NumberInput

      `decrease, decrease, getValue, increase, increase, setValue`

- - ### Constructor Detail

    - #### RichFacesInputNumberSlider

          public RichFacesInputNumberSlider()

  - ### Method Detail

    - #### advanced

          public RichFacesInputNumberSlider.AdvancedInputNumberSliderInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<RichFacesInputNumberSlider.AdvancedInputNumberSliderInteractions>`
      Specified by:
        `advanced` in class `AbstractNumberInput`

    - #### slideToValue

          public void slideToValue(double n)

      Description copied from interface: `InputNumberSlider`
      Slides the handler of this inputNumberSlider, so that the value will equals to the given param `n`.``
      Specified by:
        `slideToValue` in interface `InputNumberSlider`
      Parameters:
        `n` - the value which should be set in this inputNumberSlider after sliding of the handler.

    - #### scrollToView

          protected void scrollToView()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.